### Function

# Foundry shell_supports_dash_login

#### Declaration [src]

    gboolean
    foundry_shell_supports_dash_login (
      const char* shell
    )

#### Description [src]

Checks if the shell is known to support login semantics. Originally, this meant `--login`, but now is meant to mean `-l` as more shells support `-l` than `--login` (notably dash).

#### Parameters

`shell`

  Type: `const char*`

  The name of the shell, such as `sh` or `/bin/sh`.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if `shell` likely supports `-l`.